GLPI-PROJECT - Feature #918
Review right management
07/18/2007 10:33 PM - moyo

Status: Closed Start date: 06/04/2013
Priority: Normal Due date:

Assignee: yllen % Done: 100%
Category: Framework Estimated time: 0.00 hour
Target version: 0.85

Description

rwdp rights

see [[Rights_management]]

Subtasks:

Feature # 4365: Display profile choice as matrix Closed
Related issues:

Related to GLPI-PROJECT - Feature # 931: Delete right followup in profile Closed

Associated revisions

Revision 20719 - 04/12/2013 06:23 PM - yllen

[0.85] work on profile - see #918

Revision 20720 - 04/12/2013 06:49 PM - yllen

[0.85] work on user - see #918

Revision 20721 - 04/12/2013 07:25 PM - yllen

[0.85] work for group + fix user - see #918

Revision 20723 - 04/13/2013 12:21 PM - yllen

[0.85] work on entity + dropdown - see #918

Revision 20724 - 04/13/2013 12:22 PM - yllen

[0.85] fix group - see #918

Revision 20725 - 04/13/2013 12:58 PM - yllen

[0.85] work for transfer - see #918

Revision 20728 - 04/13/2013 03:50 PM - yllen
[0.85] work on import_externalauth_users - see #918

Revision 20729 - 04/13/2013 03:56 PM - yllen

[0.85] fix dump - see #918

Revision 20732 - 04/13/2013 05:07 PM - yllen

[0.85] hack for all profile system still works with new profile systeme - see #918

Revision 20734 - 04/13/2013 07:25 PM - yllen

[review rules + dictionnaries - see #918

Revision 20736 - 04/14/2013 05:43 PM - yllen

[0.85] review right for profil already change - see #918

Revision 20737 - 04/14/2013 06:15 PM - yllen

[0.85] all specific rights in profilerights + rule_ticket - see #918

Revision 20738 - 04/14/2013 07:20 PM - yllen

[0.85] review user Idap right - see #918

Revision 20739 - 04/14/2013 07:21 PM - yllen

[0.85] review admin tab in profile form - see #918

Revision 20740 - 04/14/2013 07:26 PM - yllen

[0.85] right for backup - see #918

Revision 20771 - 04/16/2013 01:15 PM - yllen

[0.85] avoid issue with old profiles - see #918

Revision 20772 - 04/16/2013 01:26 PM - yllen

[0.85] hack to avoid put in old class - see #918
Revision 20778 - 04/16/2013 03:26 PM - yllen

[0.85] fix delete for old profile - see #918

Revision 20791 - 04/19/2013 10:48 AM - yllen

[0.85] all rights in profileright class - see #918

Revision 20792 - 04/19/2013 10:57 AM - yllen

[0.85] fix empty - see #918

Revision 20797 - 04/19/2013 03:08 PM - yllen

[0.85] work for software - see #918

Revision 20798 - 04/19/2013 04:05 PM - yllen

[0.85] work for networking - see #918

Revision 20799 - 04/19/2013 04:18 PM - yllen

[0.85] work for intgernet (not finished) - see #918

Revision 20800 - 04/19/2013 05:48 PM - yllen

[0.85] work for internet (end) - see #918

Revision 20801 - 04/19/2013 06:47 PM - yllen

[0.85] work for consumbale, cartridge, phone, printer, peripheral - see #918

Revision 20802 - 04/19/2013 08:12 PM - yllen

[0.85] review rights after tests - see #918

Revision 20808 - 04/20/2013 08:14 PM - yllen

[0.85] work for Gestion (not finished-still bug) - see #918

Revision 20813 - 04/26/2013 10:19 AM - yllen

[0.85] work for tools + more clean rights - see #918
Revision 20814 - 04/26/2013 11:34 AM - yllen

[0.85] more work for tools - see #918

Revision 20815 - 04/26/2013 11:42 AM - yllen

[0.85] fix migration - see #918

Revision 20817 - 04/26/2013 01:00 PM - yllen

[0.85] morfe work for tools - see #918

Revision 20818 - 04/26/2013 01:11 PM - yllen

[0.85] migration for tools - see #918

Revision 20820 - 04/26/2013 06:04 PM - yllen

[0.85] work on setup (for config put both rights) - see #918

Revision 20822 - 04/26/2013 09:55 PM - yllen

[0.85] work for setup - see #918

Revision 20823 - 04/26/2013 09:58 PM - yllen

[0.85] minor fix - see #918

Revision 20825 - 04/28/2013 11:28 AM - yllen

[0.85] work for setup - see #918

Revision 20826 - 04/28/2013 12:37 PM - yllen

[0.85] if canUpdate => canView - see #918

Revision 20894 - 05/04/2013 04:23 PM - yllen

[0.85] see #918

Revision 20895 - 05/04/2013 05:28 PM - yllen
[0.85] see #918

Revision 20896 - 05/04/2013 08:03 PM - yllen

[0.85] see #918

Revision 20897 - 05/04/2013 08:06 PM - yllen

[0.85] see #918

Revision 20898 - 05/05/2013 03:55 PM - yllen

[0.85] work for faq - see #918

Revision 20899 - 05/05/2013 05:11 PM - yllen

[0.85] work for user + post-only - see #918

Revision 20900 - 05/05/2013 06:18 PM - yllen

[0.85] work for entity_helpdesk -see #918

Revision 20901 - 05/05/2013 07:29 PM - yllen

[0.85] work for link - see #918

Revision 20902 - 05/05/2013 07:56 PM - yllen

[0.85] minor fix - see #918

Revision 20903 - 05/05/2013 08:02 PM - yllen

[0.85] minor fix again - see #918

Revision 20904 - 05/05/2013 08:20 PM - yllen

[0.85] fix right - see #918

Revision 20908 - 05/06/2013 02:10 PM - yllen

[0.85] fix right - see #918
Revision 20910 - 05/09/2013 05:08 PM - yllen

[0.85] end administration tab - see #918

Revision 20911 - 05/09/2013 06:11 PM - yllen

[0.85] end inventory tab - see #918

Revision 20912 - 05/09/2013 08:03 PM - yllen

[0.85] work for ticket (right by right) - see #918

Revision 20913 - 05/10/2013 11:49 AM - yllen

[0.85] work for show_all_ticket - see #918

Revision 20914 - 05/10/2013 12:24 PM - yllen

[0.85] work for show_group_ticket - see #918

Revision 20915 - 05/10/2013 12:41 PM - yllen

[0.85] work for show_assign_ticket - see #918

Revision 20916 - 05/10/2013 12:42 PM - yllen

[0.85] fix previous - see #918

Revision 20917 - 05/10/2013 01:29 PM - yllen

[0.85] work for assign_ticket - see #918

Revision 20918 - 05/10/2013 01:41 PM - yllen

[0.85] work for steal_ticket - see #918

Revision 20919 - 05/10/2013 02:29 PM - yllen

[0.85] minor fixes - see #918

Revision 20920 - 05/10/2013 03:49 PM - yllen

[0.85] work for own_ticket - see #918
Revision 20958 - 05/17/2013 01:21 PM - yllen

[0.85] review checked right - see #918

Revision 20959 - 05/17/2013 02:31 PM - yllen

[0.85] review haveRight - see #918

Revision 20960 - 05/17/2013 04:12 PM - yllen

[0.85] more check rights - see #918

Revision 20961 - 05/17/2013 07:08 PM - yllen

[0.85] work for ticket - see #918

Revision 20962 - 05/17/2013 08:53 PM - yllen

[0.85] work for ticket - see #918

Revision 21006 - 05/24/2013 03:53 PM - yllen

[0.85] work for followup - see #918

Revision 21008 - 05/24/2013 07:32 PM - yllen

[0.85] work for followup - see #918

Revision 21010 - 05/24/2013 08:20 PM - yllen

[0.85] work for followup - see #918

Revision 21011 - 05/25/2013 06:23 PM - yllen

[0.85] work for followup - see #918

Revision 21053 - 05/31/2013 02:15 PM - yllen

[0.85] work for task - see #918

Revision 21090 - 06/07/2013 01:55 PM - yllen
[0.85] work for validation + fix empty dropdown - see #918

Revision 21091 - 06/07/2013 04:38 PM - yllen

[0.85] fix validation after tests - see #918

Revision 21093 - 06/07/2013 07:44 PM - yllen

[0.85] work for planning - see #918

Revision 21094 - 06/07/2013 09:22 PM - yllen

[0.85] work for problem( not tested) - see #918

Revision 21098 - 06/08/2013 11:57 AM - yllen

[0.85] fix rights for problem - see #918

Revision 21164 - 06/21/2013 12:08 PM - yllen

[0.85] work for changes - see #918

Revision 21168 - 06/22/2013 12:32 AM - yllen

[0.85] more work for rights - see #918

Revision 21214 - 06/28/2013 01:47 PM - yllen

[0.85] more work on new rights - see #918

Revision 21216 - 06/28/2013 08:08 PM - yllen

[0.85] work on entity_dropdown - see #918

Revision 21255 - 07/05/2013 01:52 PM - yllen

[0.85] fiw rule_ticket - see #918

Revision 21306 - 07/12/2013 04:02 PM - yllen

[0.85] clean code - fixed #918
Revision 21823 - 09/18/2013 01:31 PM - moyo

fix right update see #918

History

#1 - 01/06/2011 01:51 PM - yllen

For me :

Read

Create

Update (you can have rights to update an object but not to create it)
Delete

Purge

#2 - 01/06/2011 01:55 PM - moyo

Dans quel cadre exact ?

Dans l'idée simple de rwdponar<w<d<p

En remplagant w par cu comment cela se gere t'il ?

#3 - 01/11/2011 08:02 PM - yllen

La séparation du w en c et u est pour affiner les droits.

Par exemple, un technicien peut avoir le droit de mettre a jour un ordinateur mais n'a pas le droit de créer un nouvel ordinateur.

Donc je verraisbienr<u<c<d<p

#4 - 01/18/2011 10:46 PM - moyo

- Target version changed from Unplanned to 0.85

#5 - 03/29/2013 07:25 PM - moyo

- Assignee set to yllen

#6 - 05/29/2013 08:21 AM - moyo
- % Done changed from 0 to 70

#7 - 07/12/2013 04:02 PM - yllen

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r21306.

#8 - 11/08/2013 08:09 PM - yllen
- Status changed from Resolved to Assigned

#9 - 11/08/2013 08:09 PM - yllen
- Status changed from Assigned to Resolved
#10 - 12/11/2013 05:09 PM - moyo

- Subject changed from Manage delete and purge rights for items to Review right management

#11 - 02/12/2014 12:31 PM - moyo

- Status changed from Resolved to Closed
#12 - 02/14/2014 05:45 PM - yllen

Documentation revieuw https://forge.indepnet.net/projects/glpidoc/repository/revisions/968

07/05/2022 10/10


https://forge.indepnet.net/projects/glpidoc/repository/revisions/968

